const pad = (number, length = 2) => `000${number}`.slice(length * -1);

const int = bool => bool === true ? 1 : 0;

function debounce(fn, wait) {
  let t;
  return function () {
    clearTimeout(t);
    t = setTimeout(() => fn.apply(this, arguments), wait);
  };
}

const arrayify = obj => obj instanceof Array ? obj : [obj];

export { arrayify, debounce, int, pad };
//# sourceMappingURL=index.js.map
