import { __rest, __assign } from './../external/tslib/tslib.es6.js';
import { parseMetadata, forkHandlers } from '@highlight-ui/utils-commons';
import { useAutoPositioner, useForkRef } from '@highlight-ui/utils-hooks';
import React, { useRef, useState, useCallback } from 'react';
import Calendar from './private/Calendar.js';
import DateInput from './private/DateInput.js';

var DatePicker = function (_a) {
  var className = _a.className,
      value = _a.value,
      onChange = _a.onChange,
      minDate = _a.minDate,
      maxDate = _a.maxDate,
      disabledDates = _a.disabledDates,
      _b = _a.disabled,
      disabled = _b === void 0 ? false : _b,
      _c = _a.closeOnSelect,
      closeOnSelect = _c === void 0 ? true : _c,
      metadata = _a.metadata,
      _d = _a.noCalendar,
      noCalendar = _d === void 0 ? false : _d,
      onFocus = _a.onFocus,
      onBlur = _a.onBlur,
      onClick = _a.onClick,
      restProps = __rest(_a, ["className", "value", "onChange", "minDate", "maxDate", "disabledDates", "disabled", "closeOnSelect", "metadata", "noCalendar", "onFocus", "onBlur", "onClick"]);

  var inputRef = useRef(null);
  var calendarRef = useRef(null);

  var _e = useState(false),
      isOpened = _e[0],
      setIsOpened = _e[1];

  var _f = useAutoPositioner(),
      setReferenceElement = _f.setReferenceElement,
      setPopperElement = _f.setPopperElement,
      popperStyle = _f.styles.popper,
      attributes = _f.attributes;

  var shouldEnableCalendar = !noCalendar && isOpened;
  var onCalendarChange = useCallback(function (_a, asString) {
    var _b;

    var date = _a[0];

    if (onChange) {
      onChange(date, asString);
    }

    if (closeOnSelect) {
      (_b = inputRef.current) === null || _b === void 0 ? void 0 : _b.focus();
      setIsOpened(false);
    }
  }, [closeOnSelect, onChange]);
  var handleOnChange = useCallback(function (date, inputValue) {
    if (onChange) {
      onChange(date, inputValue);
    }
  }, [onChange]);
  var handleBlur = useCallback(function (event) {
    var _a;

    var isCalendarInteracted = (_a = calendarRef.current) === null || _a === void 0 ? void 0 : _a.contains(event.relatedTarget);
    if (isCalendarInteracted) return;
    setIsOpened(false);
  }, [calendarRef, setIsOpened]);
  var inputFinalRef = useForkRef([inputRef, setReferenceElement]);
  var calendarFinalRef = useForkRef([calendarRef, setPopperElement]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", __assign({
    className: className
  }, parseMetadata(metadata)), /*#__PURE__*/React.createElement(DateInput, __assign({}, metadata ? {
    metadata: {
      testId: "dateInput-" + metadata.testId
    }
  } : {}, restProps, {
    mode: "date",
    disabled: disabled,
    minDate: minDate,
    maxDate: maxDate,
    onChange: handleOnChange,
    onFocus: forkHandlers([function () {
      return setIsOpened(true);
    }, onFocus]),
    onClick: forkHandlers([function () {
      return setIsOpened(true);
    }, onClick]),
    onBlur: forkHandlers([handleBlur, onBlur]),
    value: value,
    withIcon: !noCalendar,
    disabledDates: disabledDates,
    ref: inputFinalRef,
    focused: isOpened
  }))), shouldEnableCalendar && /*#__PURE__*/React.createElement(Calendar, __assign({
    isOpened: isOpened,
    onClickOutside: function (target) {
      var _a;

      if (!((_a = inputRef.current) === null || _a === void 0 ? void 0 : _a.contains(target))) setIsOpened(false);
    },
    value: value,
    metadata: metadata,
    minDate: minDate,
    maxDate: maxDate,
    disabledDates: disabledDates,
    onChange: onCalendarChange,
    ref: calendarFinalRef,
    style: popperStyle
  }, attributes.popper)));
};

export { DatePicker as default };
//# sourceMappingURL=DatePicker.js.map
