import { __rest, __assign } from './../external/tslib/tslib.es6.js';
import React, { useState, useCallback } from 'react';
import { parseMetadata } from '@highlight-ui/utils-commons';
import TimePickerWithRef from './private/ControlledTimePicker.js';
var TimePicker = /*#__PURE__*/React.forwardRef(function (_a, ref) {
  var value = _a.value,
      defaultValue = _a.defaultValue,
      onChange = _a.onChange,
      className = _a.className,
      metadata = _a.metadata,
      restProps = __rest(_a, ["value", "defaultValue", "onChange", "className", "metadata"]);

  var _b = useState(defaultValue === null ? undefined : defaultValue),
      val = _b[0],
      setVal = _b[1];

  var isUncontrolled = defaultValue !== undefined;
  var handleChange = useCallback(function (date, inputValue) {
    setVal(date);
    if (onChange) onChange(date, inputValue);
  }, [onChange]);
  var nextValue = isUncontrolled ? val : value;
  var nextOnChange = isUncontrolled ? handleChange : onChange;
  return /*#__PURE__*/React.createElement(TimePickerWithRef, __assign({
    className: className,
    value: nextValue,
    onChange: nextOnChange,
    ref: ref
  }, parseMetadata(metadata), restProps));
});
export { TimePicker as default };
//# sourceMappingURL=TimePicker.js.map
