var addZeroesToHours = function (value) {
  return value.length === 1 ? "0" + value : value;
};

var addZeroesToMinutes = function (value) {
  switch (value.length) {
    case 0:
      return '00';

    case 1:
      return value + "0";

    default:
      return value;
  }
};

var addZeroesAndColon = function (hours, minutes, value) {
  if (hours.length > 2 || minutes.length > 2) return value;
  return addZeroesToHours(hours) + ":" + addZeroesToMinutes(minutes);
};

function autoCompleteTimeText(value) {
  var _a = value.split(':'),
      hours = _a[0],
      _b = _a[1],
      minutes = _b === void 0 ? '' : _b;

  if (value.length < 4 && minutes.length === 0) return value;
  return addZeroesAndColon(hours, minutes, value);
}

export { autoCompleteTimeText as default };
//# sourceMappingURL=autocompleteTimeText.js.map
