import parse from './../../../external/date-fns/esm/parse/index.js';
import format from './../../../external/date-fns/esm/format/index.js';
import isValid from './../../../external/date-fns/esm/isValid/index.js';

var formatTime = function (time, day) {
  if (day === void 0) {
    day = new Date();
  }

  var supportedFormatStrings = ['H', 'HH:', 'HH:m', 'HH:mm'];
  var parsedTime = supportedFormatStrings.map(function (formatString) {
    return parse(time, formatString, day);
  }).find(isValid);

  if (parsedTime) {
    return format(parsedTime, 'HH:mm');
  }

  return '';
};

export { formatTime as default };
//# sourceMappingURL=formatTime.js.map
