import parse from './../../../external/date-fns/esm/parse/index.js';
import isValid from './../../../external/date-fns/esm/isValid/index.js';
import autoCompleteTimeText from './autocompleteTimeText.js';

var getDateFromTimeString = function (timeText, parseFormat, day) {
  if (parseFormat === void 0) {
    parseFormat = 'HH:mm';
  }

  if (day === void 0) {
    day = new Date();
  }

  var completeValue = autoCompleteTimeText(timeText);
  var dateFromInputValue = parse(completeValue, parseFormat, day);
  var isItAValidDateTime = completeValue.length === parseFormat.length && isValid(dateFromInputValue);
  return isItAValidDateTime ? dateFromInputValue : undefined;
};

export { getDateFromTimeString as default };
//# sourceMappingURL=getDateFromTimeString.js.map
